net.sourceforge.pmd.lang.jsp.ast

## Class JJTJspParserState

- java.lang.Object
- - net.sourceforge.pmd.lang.jsp.ast.JJTJspParserState

    public class JJTJspParserState
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`JJTJspParserState()`

### Method Summary

Methods
`void` `clearNodeScope(Node n)`
`void` `closeNodeScope(Node n, boolean condition)`
`void` `closeNodeScope(Node n, int num)`
`int` `nodeArity()`
`boolean` `nodeCreated()`
`void` `openNodeScope(Node n)`
`Node` `peekNode()`
`Node` `popNode()`
`void` `pushNode(Node n)`
`void` `reset()`
`Node` `rootNode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JJTJspParserState

    public JJTJspParserState()

### Method Detail

#### nodeCreated

    public boolean nodeCreated()

#### reset

    public void reset()

#### rootNode

    public Node rootNode()

#### pushNode

    public void pushNode(Node n)

#### popNode

    public Node popNode()

#### peekNode

    public Node peekNode()

#### nodeArity

    public int nodeArity()

#### clearNodeScope

    public void clearNodeScope(Node n)

#### openNodeScope

    public void openNodeScope(Node n)

#### closeNodeScope

    public void closeNodeScope(Node n,
                      int num)

#### closeNodeScope

    public void closeNodeScope(Node n,
                      boolean condition)